For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
RegisterLoginSandbox Login
GuidesRecipesAPI Reference
GuidesRecipesAPI Reference
  • API Reference
    • POSTGets USDC/SBC/EuroE on testnets
      • PATCHCustomer Cancel Subscription
      • GETGet Available Plans
      • GETGet Customer Subscriptions
      • GETGet Plan
      • POSTPurchase Subscription by ACH
      • POSTPurchase Subscription with Existing Card
      • POSTPurchase Subscription with New Card
LogoLogo
RegisterLoginSandbox Login
API ReferenceSubscription

Get Available Plans

GET
https://api-sandbox.coinflow.cash/api/subscription/:merchantId/plans
GET
/api/subscription/:merchantId/plans
$curl https://api-sandbox.coinflow.cash/api/subscription/merchantId/plans \
> -H "x-coinflow-auth-session-key: <apiKey>" \
> -H "Content-Type: application/json"
200Retrieved
1[
2 {
3 "id": "plan_9f8b7c6d5e4a3b2c1d0e",
4 "name": "Premium Monthly Plan",
5 "code": "PREM_MONTHLY",
6 "interval": "Monthly",
7 "amount": {
8 "cents": 2999,
9 "currency": "USD"
10 },
11 "active": true,
12 "duration": 12,
13 "description": "Access to all premium features billed monthly for one year.",
14 "transaction": "txn_4a3b2c1d0e9f8b7c6d5e",
15 "settlementChain": "eth",
16 "merchantInitiated": false
17 }
18]
Get the available subscription plans for a merchant
Was this page helpful?
Previous

Get Customer Subscriptions

Next
Built with

Authentication

x-coinflow-auth-session-keystring
The session key generated for the end user - see https://docs.coinflow.cash/api-reference/api-reference/authentication/get-session-key
OR
x-coinflow-auth-walletstring
The web3 wallet of the end user - see https://docs.coinflow.cash/api-reference/api-reference/authentication/get-session-key
x-coinflow-auth-blockchainstring
The blockchain associated with the end user - see https://docs.coinflow.cash/api-reference/api-reference/authentication/get-session-key

Path parameters

merchantIdstringRequired

Response

Ok
idstring
namestring
codestring
intervalenum
Allowed values:
amountobject
activeboolean
durationinteger>=1
descriptionstring
transactionstring
settlementChainenum
merchantInitiatedboolean
Only specify this as true if you do not want subscription payments automatically processed. Then you will be responsible for manually calling the merchant initiated transaction endpoint.

The session key generated for the end user - see https://docs.coinflow.cash/api-reference/api-reference/authentication/get-session-key

The web3 wallet of the end user - see https://docs.coinflow.cash/api-reference/api-reference/authentication/get-session-key

The blockchain associated with the end user - see https://docs.coinflow.cash/api-reference/api-reference/authentication/get-session-key